Bug 1761344 - kuryrnet handler makes kuryr-controller to restart frequently
Summary: kuryrnet handler makes kuryr-controller to restart frequently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Luis Tomas Bolivar
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On:
Blocks: 1761345
TreeView+ depends on / blocked
 
Reported: 2019-10-14 08:31 UTC by Luis Tomas Bolivar
Modified: 2020-01-23 11:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1761345 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:07:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 351 'None' 'closed' 'Bug 1761344: Tweaking kuryr-controller configuration to avoid restarts' 2019-11-20 11:29:34 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:07:34 UTC

Description Luis Tomas Bolivar 2019-10-14 08:31:23 UTC
When enabling kuryrnet handler, the kuryr pools are pre-populated for each newly created namespace. This increases the load on neutron side during spikes of namespaces creation. In turns, that makes the creation of those ports slower, as well as the deletion of namespaces and its associated neutron resources (in this case the ports of their associated pools). And finally, this leads to timeouts on kuryr-controller waiting for the namespace resources to be cleaned up

Comment 2 Jon Uriarte 2019-10-18 08:29:19 UTC
Verified on OCP 4.3.0-0.nightly-2019-10-17-061631 build on top of OSP 13 2019-10-01.1 puddle.

release image: registry.svc.ci.openshift.org/ocp/release@sha256:2cafe25ec1ed2dfdec361cde13b4461d2a30194d0b41fbd1c6d3fad5ab34ca05

kuryrnet handler is not enabled:
$ oc -n openshift-kuryr get cm kuryr-config -o yaml | grep handler
    enabled_handlers = vif,lb,lbaasspec,policy,pod_label,namespace,kuryrnetpolicy

$ oc -n openshift-kuryr get cm kuryr-config -o yaml | grep annotation
    vif_annotation_timeout = 500

$ oc -n openshift-kuryr get deploy kuryr-controller -o yaml | grep failure                                                                                             
          failureThreshold: 10
          failureThreshold: 10

Comment 4 errata-xmlrpc 2020-01-23 11:07:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.